dictword_t Struct Reference

a structure for one dictionary word. More...

`#include <dict.h>`

## Data Fields

char * | word
| Ascii word string.
s3cipid_t * | ciphone
| Pronunciation.
int32 | pronlen
| Pronunciation length.
s3wid_t | alt
| Next alternative pronunciation id, NOT_S3WID if none.
s3wid_t | basewid
| Base pronunciation id.

## Detailed Description

a structure for one dictionary word.

Definition at line 63 of file dict.h.

## Field Documentation

## alt

s3wid_t dictword_t::alt

Next alternative pronunciation id, NOT_S3WID if none.

Definition at line 67 of file dict.h.

Referenced by dict_add_word().

## basewid

s3wid_t dictword_t::basewid

Base pronunciation id.

Definition at line 68 of file dict.h.

Referenced by dict_add_word().

## ciphone

s3cipid_t* dictword_t::ciphone

Pronunciation.

Definition at line 65 of file dict.h.

Referenced by dict2pid_get_rcmap(), dict_add_word(), dict_ciphone_str(), dict_free(), and get_rc_nssid().

## pronlen

int32 dictword_t::pronlen

Pronunciation length.

Definition at line 66 of file dict.h.

Referenced by dict2pid_get_rcmap(), dict_add_word(), and get_rc_nssid().

## word

char* dictword_t::word

Ascii word string.

Definition at line 64 of file dict.h.

Referenced by dict_add_word(), and dict_free().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/dict.h